LibreOffice LibreOffice 5.3 SDK API Reference

Modules | Variables
MacroExecMode.idl File Reference

Go to the source code of this file.

## Modules
module | com
module | com::sun
module | com::sun::star
| the module com::sun::star is the root module of the UNO API.
module | com::sun::star::document
| Office document related interfaces.

## Constant Groups
constants | com::sun::star::document::MacroExecMode
| Specify whether a macro can be executed.

## Variables
const short | NEVER_EXECUTE = 0
| A macro should not be executed at all. More...
const short | FROM_LIST = 1
| Execute macros from secure list quietly. More...
const short | ALWAYS_EXECUTE = 2
| Execute any macro, macros signed with trusted certificates and macros from secure list are executed quietly. More...
const short | USE_CONFIG = 3
| Use configuration to retrieve macro settings. More...
const short | ALWAYS_EXECUTE_NO_WARN = 4
| A macro should be executed always no conformation should be provided. More...
const short | USE_CONFIG_REJECT_CONFIRMATION = 5
| Use configuration to retrieve macro settings. More...
const short | USE_CONFIG_APPROVE_CONFIRMATION = 6
| Use configuration to retrieve macro settings. More...
const short | FROM_LIST_NO_WARN = 7
| Execute only macros from secure list. More...
const short | FROM_LIST_AND_SIGNED_WARN = 8
| Execute only macros from secure list or macros that are signed by trusted certificates. More...
const short | FROM_LIST_AND_SIGNED_NO_WARN = 9
| Execute only macros from secure list or macros that are signed by trusted certificates. More...